Skip to main content
GET
/
api
/
v1
/
webhooks
/
List webhooks
curl --request GET \
  --url https://api.kynva.ai/api/v1/webhooks/ \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.kynva.ai/api/v1/webhooks/"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.kynva.ai/api/v1/webhooks/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": [
    {
      "id": "<string>",
      "url": "<string>",
      "events": [
        "<string>"
      ],
      "name": "<string>",
      "isActive": true,
      "deliveryCount": 123,
      "failureCount": 123,
      "lastDeliveryAt": "<string>",
      "lastDeliveryStatus": "<string>",
      "createdAt": "<string>"
    }
  ],
  "pagination": {
    "total": 123,
    "limit": 123,
    "offset": 123,
    "hasMore": true
  }
}

Authorizations

Authorization
string
header
required

Your Kynva API key (kyn_live_xxx or kyn_test_xxx; legacy rf_ keys remain valid)

Query Parameters

limit
number
default:20
Required range: x <= 100
offset
number
default:0

Response

200 - application/json

List of webhooks

List of webhooks

success
boolean
data
object[]
pagination
object